NativeStructureControllerUpdateSlicerAsSubquery Method

PUT /NativeStructure/SlicerAsSubquery/{id} Updates a native structure measure's slicer as subquery option.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("SlicerAsSubquery")]
public IActionResult UpdateSlicerAsSubquery(
	Guid id,
	[FromBodyAttribute] UpdateSlicerAsSubqueryOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the native structure that the measure resides on.
options
Type: Dundas.BI.WebApi.ModelsUpdateSlicerAsSubqueryOptions
The options.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A status code indicating success or the reason for failure.
See Also